#288 closed defect (fixed)

_ISR_Nest_level on PowerPC new exception model not maintained

Reported by: iwe Owned by: Joel Sherrill
Priority: normal Milestone: 2
Component: bsps Version: unknown
Severity: major Keywords:
Cc: bugs@…, strauman@… Blocked By:
Blocking:

Description

PowerPC IRQ code does not increment _ISR_Nest_level which
results in the same problem as seen on the m68k with
PR267. Andy Dachs is going to provide a fix for the
mpc8260ads and Joel will propagate it to the other BSPs.

Release:
CVS

Attachments (3)

pr288-1.diff (34.2 KB) - added by iwe on Dec 3, 2006 at 1:31:12 PM.
pr288-1.diff
pr288.tar.gz (9.2 KB) - added by iwe on Dec 3, 2006 at 1:31:12 PM.
pr288.tar.gz
pr288-otherBSPs.diff (19.9 KB) - added by iwe on Dec 3, 2006 at 1:31:12 PM.
pr288-otherBSPs.diff

Download all attachments as: .zip

Change History (5)

comment:1 Changed on Oct 31, 2002 at 12:41:12 AM by Joel Sherrill

Status: assignedwaiting

comment:2 Changed on Nov 1, 2002 at 1:20:53 PM by Joel Sherrill

Status: waitingsuspended

comment:3 Changed on Jul 13, 2003 at 4:24:45 AM by strauman

Status: suspendedassigned

comment:4 Changed on Jul 18, 2003 at 4:25:43 PM by Joel Sherrill

Status: assignedclosed

State-Changed-From-To: open->closed
State-Changed-Why: New patch (pr288-otherBSPs.diff) applied to trunk and 4.6 branch.

Changed on Dec 3, 2006 at 1:31:12 PM by iwe

Attachment: pr288.tar.gz added

pr288.tar.gz

Note: See TracTickets for help on using tickets.